[Testing Update] 2018-02-14 - Kernels, Plasma, KDE Framework, Themes

update
testing

#1

Hi community,

this is more a smaller update to complete our last testing update we had published on the 13th of February:


Our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.53
  • linux318 3.18.94 [EOL]
  • linux41 4.1.49
  • linux44 4.4.115
  • linux49 4.9.81
  • linux414 4.14.19
  • linux415 4.15.3
  • linux-RT-LTS 4.14.18_rt15
  • linux-RT 4.14.18_rt15

Package Updates (Wed Feb 14 08:10:46 CET 2018)

  • testing community x86_64: 57 new and 51 removed package(s)
  • testing core x86_64: 5 new and 5 removed package(s)
  • testing extra x86_64: 174 new and 174 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-13           2018-02-14
-------------------------------------------------------------------------------
           adapta-black-breath-theme         3.93.0.110-1         3.93.0.119-1
             adapta-black-maia-theme         3.93.0.110-1         3.93.0.119-1
                 adapta-breath-theme         3.93.0.110-1         3.93.0.119-1
                   adapta-maia-theme         3.93.0.110-1         3.93.0.119-1
             papirus-maia-icon-theme                    -           20180201-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-13           2018-02-14
-------------------------------------------------------------------------------
                      acpi_call-dkms            1.1.0-103            1.1.0-104
                          browserify             16.0.0-1             16.1.0-1
                              docker          1:18.01.0-1          1:18.02.0-1
                         erlang-docs               20.0-2               20.2-1
                           git-annex        6.20180112-62        6.20180112-63
                    haskell-aeson-qq             0.8.2-12             0.8.2-13
                   haskell-esqueleto             2.5.3-57             2.5.3-58
                        haskell-here             1.2.12-8             1.2.12-9
                       haskell-hpack            0.21.2-27            0.21.2-28
              haskell-hspec-wai-json             0.9.0-25             0.9.0-26
                 haskell-interpolate              0.1.1-8              0.1.1-9
    haskell-interpolatedstring-perl6             1.0.0-34             1.0.0-35
                  haskell-persistent           2.7.3.1-10           2.7.3.1-11
           haskell-persistent-sqlite             2.6.4-35             2.6.4-36
         haskell-persistent-template            2.5.3.1-9           2.5.3.1-10
                       haskell-retry            0.7.6.0-3            0.7.6.0-4
             haskell-servant-swagger             1.1.4-35             1.1.4-36
                       haskell-shake              0.16-12             0.16.1-1
                    haskell-src-meta           0.8.0.1-18            0.8.0.2-1
              haskell-tasty-hedgehog            0.1.0.1-3            0.1.0.2-1
                       haskell-yesod            1.4.5-185            1.4.5-186
                  haskell-yesod-auth            1.4.21-68            1.4.21-69
                  haskell-yesod-form            1.4.16-80            1.4.16-81
            haskell-yesod-persistent             1.4.3-59             1.4.3-60
                  haskell-yesod-test           1.5.9.1-41           1.5.9.1-42
                             hledger               1.5-20               1.5-21
                         hledger-api               1.5-55               1.5-56
                          hledger-ui               1.5-31               1.5-32
                         hledger-web               1.5-55               1.5-56
                          keepalived              1.4.0-1              1.4.1-1
                             keybase             1.0.41-1             1.0.41-2
                             liteide                 33-3               33.1-1
                    otf-font-awesome              5.0.6-1              5.0.6-2
                             picocom                3.0-1                3.1-1
                           postgrest           0.4.4.0-41           0.4.4.0-43
                        python-faker             0.8.10-1             0.8.11-1
                   python-hypothesis            3.44.26-1             3.45.0-1
                    python-webcolors                1.8-1              1.8.1-1
                       python2-faker             0.8.10-1             0.8.11-1
                  python2-hypothesis            3.44.26-1             3.45.0-1
                     python2-scandir                1.6-1                1.7-1
                   python2-webcolors                1.8-1              1.8.1-1
                        python2-yapf             0.20.1-1             0.20.2-1
                                sslh               1.18-4              1.19c-1
                               stack             1.6.3-72             1.6.3-74
                    ttf-font-awesome              5.0.6-1              5.0.6-2
                                yapf             0.20.1-1             0.20.2-1
                                cppo                    -              1.6.1-1
                                dune                    -             1.0b17-1
                        ocaml-biniou                    -              1.2.0-1
                   ocaml-easy-format                    -              1.3.1-1
                        ocaml-yojson                    -              1.4.0-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-13           2018-02-14
-------------------------------------------------------------------------------
                            linux414            4.14.18-1            4.14.19-1
                    linux414-headers            4.14.18-1            4.14.19-1
                             linux49             4.9.80-1             4.9.81-1
                     linux49-headers             4.9.80-1             4.9.81-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-13           2018-02-14
-------------------------------------------------------------------------------
                               patch              2.7.5-1              2.7.6-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-13           2018-02-14
-------------------------------------------------------------------------------
                         kinfocenter             5.12.0-1             5.12.1-1
                  linux414-acpi_call             1.1.0-16             1.1.0-17
                   linux414-bbswitch               0.8-16               0.8-17
                linux414-broadcom-wl      6.30.223.271-16      6.30.223.271-17
                   linux414-catalyst     1:15.201.1151-16     1:15.201.1151-17
                linux414-ndiswrapper              1.61-16              1.61-17
                     linux414-nvidia           1:390.25-2           1:390.25-3
               linux414-nvidia-304xx         1:304.137-16         1:304.137-17
               linux414-nvidia-340xx            340.106-4            340.106-5
                   linux414-nvidiabl              0.88-16              0.88-17
                      linux414-r8168           8.045.08-4           8.045.08-5
                  linux414-rt3562sta        2.4.1.1_r4-16        2.4.1.1_r4-17
                        linux414-spl              0.7.5-6              0.7.5-7
                   linux414-tp_smapi              0.41-16              0.41-17
                linux414-vhba-module          20161009-16          20161009-17
   linux414-virtualbox-guest-modules              5.2.6-4              5.2.6-5
    linux414-virtualbox-host-modules              5.2.6-4              5.2.6-5
                        linux414-zfs              0.7.5-6              0.7.5-7
                   linux49-acpi_call             1.1.0-62             1.1.0-63
                    linux49-bbswitch               0.8-62               0.8-63
                 linux49-broadcom-wl      6.30.223.271-62      6.30.223.271-63
                    linux49-catalyst     1:15.201.1151-62     1:15.201.1151-63
                 linux49-ndiswrapper              1.61-60              1.61-61
                      linux49-nvidia           1:390.25-1           1:390.25-2
                linux49-nvidia-304xx         1:304.137-21         1:304.137-22
                linux49-nvidia-340xx            340.106-2            340.106-3
                    linux49-nvidiabl              0.88-62              0.88-63
                       linux49-r8168           8.045.08-2           8.045.08-3
                   linux49-rt3562sta        2.4.1.1_r4-60        2.4.1.1_r4-61
                         linux49-spl              0.7.5-4              0.7.5-5
                    linux49-tp_smapi              0.41-62              0.41-63
                 linux49-vhba-module          20161009-60          20161009-61
    linux49-virtualbox-guest-modules              5.2.6-2              5.2.6-3
     linux49-virtualbox-host-modules              5.2.6-2              5.2.6-3
                         linux49-zfs              0.7.5-4              0.7.5-5


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-13           2018-02-14
-------------------------------------------------------------------------------
                          attica-qt5             5.42.0-1                    -
                               baloo             5.42.0-1             5.43.0-1
                           bluedevil           1:5.12.0-1           1:5.12.1-1
                            bluez-qt             5.42.0-1             5.43.0-1
                              breeze             5.12.0-1             5.12.1-1
                         breeze-grub             5.12.0-1             5.12.1-1
                          breeze-gtk             5.12.0-1             5.12.1-1
                        breeze-icons             5.42.0-1             5.43.0-1
                         breeze-kde4             5.12.0-1             5.12.1-1
                            discover             5.12.0-1             5.12.1-1
                             drkonqi             5.12.0-1             5.12.1-1
                            epiphany           3.26.5.1-1             3.26.6-1
                                 exo             0.11.5-1             0.12.0-1
                 extra-cmake-modules             5.42.0-1             5.43.0-1
                                 feh             2.23.1-1             2.23.2-1
                frameworkintegration             5.42.0-1             5.43.0-1
               gtk-update-icon-cache 3.22.26+161+g60750b3ffd-1       3.22.27-1
                                gtk3 3.22.26+161+g60750b3ffd-1       3.22.27-1
                         kactivities             5.42.0-1             5.43.0-1
                   kactivities-stats             5.42.0-1             5.43.0-1
                   kactivitymanagerd             5.12.0-1             5.12.1-1
                             kapidox             5.42.0-1             5.43.0-1
                            karchive             5.42.0-1             5.43.0-1
                               kauth             5.42.0-1             5.43.0-1
                          kbookmarks             5.42.0-1             5.43.0-1
                            kcmutils             5.42.0-1             5.43.0-1
                             kcodecs             5.42.0-1             5.43.0-1
                         kcompletion             5.42.0-1             5.43.0-1
                             kconfig             5.42.0-1             5.43.0-1
                      kconfigwidgets             5.42.0-1             5.43.0-1
                         kcoreaddons             5.42.0-1             5.43.0-1
                              kcrash             5.42.0-1             5.43.0-1
                         kdbusaddons             5.42.0-1             5.43.0-1
                       kde-cli-tools             5.12.0-1             5.12.1-1
                      kde-gtk-config             5.12.0-1             5.12.1-1
                        kdeclarative             5.42.0-1             5.43.0-1
                         kdecoration             5.12.0-1             5.12.1-1
                                kded             5.42.0-1             5.43.0-1
                     kdelibs4support             5.42.0-1             5.43.0-1
                    kdeplasma-addons             5.12.0-1             5.12.1-1
                     kdesignerplugin             5.42.0-1             5.43.0-1
                               kdesu             5.42.0-1             5.43.0-1
                           kdewebkit             5.42.0-1             5.43.0-1
                              kdnssd             5.42.0-1             5.43.0-1
                           kdoctools             5.42.0-1             5.43.0-1
                          kemoticons             5.42.0-1             5.43.0-1
                       kfilemetadata             5.42.0-1             5.43.0-1
                             kgamma5             5.12.0-1             5.12.1-1
                        kglobalaccel             5.42.0-1             5.43.0-1
                          kguiaddons             5.42.0-1             5.43.0-1
                           kholidays            17.12.1-1           1:5.43.0-1
                            khotkeys             5.12.0-1             5.12.1-1
                               khtml             5.42.0-1             5.43.0-1
                               ki18n             5.42.0-1             5.43.0-1
                         kiconthemes             5.42.0-1             5.43.0-1
                           kidletime             5.42.0-1             5.43.0-1
                       kimageformats             5.42.0-1             5.43.0-1
                         kinfocenter             5.12.0-1             5.12.1-1
                               kinit             5.42.0-1             5.43.0-1
                                 kio             5.42.0-1             5.43.0-1
                           kirigami2             5.42.0-1             5.43.0-1
                         kitemmodels             5.42.0-1             5.43.0-1
                          kitemviews             5.42.0-1             5.43.0-1
                         kjobwidgets             5.42.0-1             5.43.0-1
                                 kjs             5.42.0-1             5.43.0-1
                            kjsembed             5.42.0-1             5.43.0-1
                        kmediaplayer             5.42.0-1             5.43.0-1
                           kmenuedit             5.12.0-1             5.12.1-1
                          knetattach             5.12.0-1             5.12.1-1
                           knewstuff             5.42.0-1             5.43.0-1
                      knotifications             5.42.0-2             5.43.0-1
                       knotifyconfig             5.42.0-1             5.43.0-1
                            kpackage             5.42.0-1             5.43.0-1
                              kparts             5.42.0-1             5.43.0-1
                             kpeople             5.42.0-1             5.43.0-1
                           kplotting             5.42.0-1             5.43.0-1
                                kpty             5.42.0-1             5.43.0-1
                               kross             5.42.0-1             5.43.0-1
                             krunner             5.42.0-1             5.43.0-1
                             kscreen             5.12.0-1             5.12.1-1
                       kscreenlocker             5.12.0-1             5.12.1-1
                            kservice             5.42.0-1             5.43.0-1
                         ksshaskpass             5.12.0-1             5.12.1-1
                           ksysguard             5.12.0-1             5.12.1-1
                         ktexteditor             5.42.0-1             5.43.0-1
                        ktextwidgets             5.42.0-1             5.43.0-1
                           kuiserver             5.12.0-1             5.12.1-1
                     kunitconversion             5.42.0-1             5.43.0-1
                             kwallet             5.42.0-1             5.43.0-1
                         kwallet-pam             5.12.0-1             5.12.1-1
                            kwayland             5.42.0-1             5.43.0-1
                kwayland-integration             5.12.0-1             5.12.1-1
                      kwidgetsaddons             5.42.1-1             5.43.0-1
                                kwin             5.12.0-1             5.12.1-1
                       kwindowsystem             5.42.0-1             5.43.0-1
                             kwrited             5.12.0-1             5.12.1-1
                             kxmlgui             5.42.0-1             5.43.0-1
                       kxmlrpcclient             5.42.0-1             5.43.0-1
                          libkscreen             5.12.0-1             5.12.1-1
                        libksysguard             5.12.0-1             5.12.1-1
                          libmm-glib             1.6.12-1 1.8rc1+6+g0f377f94-1
                      libnm 1.10.3dev+38+g78ef57197-1 1.10.5dev+3+g5159c34ea-1
                 libnm-glib 1.10.3dev+38+g78ef57197-1 1.10.5dev+3+g5159c34ea-1
                               milou             5.12.0-1             5.12.1-1
                        modemmanager             1.6.12-1 1.8rc1+6+g0f377f94-1
                     modemmanager-qt             5.42.0-1             5.43.0-1
       network-manager-applet 1.8.11dev+7+ga52ccb2f-1 1.8.11dev+12+ga37483c1-1
             networkmanager 1.10.3dev+38+g78ef57197-1 1.10.5dev+3+g5159c34ea-1
                   networkmanager-qt             5.42.0-1             5.43.0-1
         nm-connection-editor 1.8.11dev+7+ga52ccb2f-1 1.8.11dev+12+ga37483c1-1
                              oxygen             5.12.0-1             5.12.1-1
                        oxygen-icons           1:5.42.0-1           1:5.43.0-1
                    oxygen-icons-svg           1:5.42.0-1           1:5.43.0-1
                         oxygen-kde4             5.12.0-1             5.12.1-1
                         pavucontrol    3.0+31+g1d4280a-1  1:3.0+23+g335c26c-1
                      plasma-desktop             5.12.0-1             5.12.1-1
                    plasma-framework             5.42.0-1             5.43.0-1
                  plasma-integration             5.12.0-1             5.12.1-1
                           plasma-nm             5.12.0-1             5.12.1-1
                           plasma-pa             5.12.0-1             5.12.1-1
                          plasma-sdk             5.12.0-1             5.12.1-1
                        plasma-vault             5.12.0-1             5.12.1-1
              plasma-wayland-session             5.12.0-1             5.12.1-1
                    plasma-workspace             5.12.0-1             5.12.1-1
         plasma-workspace-wallpapers             5.12.0-1             5.12.1-1
                    polkit-kde-agent             5.12.0-1             5.12.1-1
                          powerdevil             5.12.0-1             5.12.1-1
                              prison             5.42.0-1             5.43.0-1
                             purpose              1.2.1-1             5.43.0-1
                       python-pylint              1.8.2-1              1.8.2-2
                      python2-pylint              1.8.2-1              1.8.2-2
                  qqc2-desktop-style             5.42.0-1             5.43.0-1
                            sddm-kcm             5.12.0-1             5.12.1-1
                               solid             5.42.0-1             5.43.0-1
                              sonnet             5.42.0-1             5.43.0-1
                 syntax-highlighting             5.42.0-1             5.43.0-1
                      systemsettings             5.12.0-1             5.12.1-1
                        threadweaver             5.42.0-1             5.43.0-1
                        user-manager             5.12.0-1             5.12.1-1
              xdg-desktop-portal-kde             5.12.0-1             5.12.1-1
                              attica                    -             5.43.0-1

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:


KDE and arbitrary code execution
#2

Known issues and solutions

This is a wiki post; please edit as necessary.


I get a lot of messages about proto packages will be replaced with* extra/xorgproto.

:: libxfont: removing fontsproto breaks dependency ‘fontsproto>=2.1.3’

sudo pacman -R libxfont

(Edit2: libxfont2 (libxfont does not exist, if it exists then remove it as advised) cannot be removed due to dependencies)
Just answer yes to the prompt(s) about replacements of packages with extra/xorgproto. The installation should continue successfully.


On Manjaro KDE, I get the following:

:: Starting full system upgrade...
:: Replace attica-qt5 with extra/attica? [Y/n]
Selecting Yes allowes the update to complete normally. (expected behavior since attica-qt5 was dropped)

My system won’t boot anymore after this update

Most likely you are using a freetype2 package from the AUR. Due the harfbuzz update, your system is broken. So either install the official supported freetype2 package from our repositories or downgrade to harfbuzz v1.7.4: sudo pacman -U https://archive.archlinux.org/packages/h/harfbuzz/harfbuzz-1.7.4-1-x86_64.pkg.tar.xz

You might try also try Freetype2-ultimate5 — fonts like in Infinality's ultimate5 which is a maintained package.


I get “error: command failed to execute correctly” during a GRUB update

Run sudo update-grub once more to ensure the command has worked correctly.


GNOME shell crashes

It’s probably an issue with an extension which needs to be updated. Disable them in turn until you find the one responsible.

If it’s when inserting USB drives, disable “Places Status Indicator”.


Font-Shadow issue within XFCE

Switch to another theme (e.g. Arc Maia), or execute the following cmd to fix the issue:

xfconf-query -c xfce4-desktop -p /desktop-icons/center-text -n -t bool -s false

This fixes the issue properly. (Can follow the links from Ask-Ubuntu #801478 to what exists for the xfce documentation.)

After the command is run the entry <property name="center-text" type="bool" value="false"/> is created under “desktop-icons” in /home/[user]/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml.


Firefox 58 won’t open

Please check this thread:


I don’t see any updates

That’s because your mirror is out of date. It can take several hours before a mirror get updated. If you want updates right now, run these commands :

sudo pacman-mirrors -f 3
sudo pacman -Syyu

You can always check the state of every mirrors here.


I get a black screen on boot or something doesn’t work

That’s probably because you have a partial set of updated packages. Switch to a text console using CTRL+ALT+F2, log in, then run the commands above.


An AUR package is stopping the update because of a conflict

Remove the AUR package, update, then reinstall the AUR package.


An AUR package says a key is invalid

You need to add the key to your keychain. Do a search of the forum, the answer has already been posted (several times :wink:).



#3

No issues here, XFCE.


#4

Just changed my Lappy [x64 KDE] tonight from Stable to Testing branch, then did this upgrade. Once i read the wiki & learned what to do with libxfont it all went fine. Lovely!


#5

after update was problem as here (solved)


#6

Or just reboot after update.


#7

No issue here with KDE, Kernel 4.14 and Nvidia-Prime enabled
Roby


#8

No issues in manjaro kde 4.14 kernel. But a strange thing happening to me in last 3 days. Every time i started my system, key board is not working. After i restart it works. So for my keyboard to work, i have to start the system and then have to restart again. This happens every time i started the system. Intel core 2 duo processor.


#9

Before restarting second time check journalctl and dmesg for any errors.

What packages did you install over the last 3 days? You can check your pacman.log to find out.


#10

I did not install anything in the last three days. Since keyboard is not working i am not able to check those before restart.


#11

Do you have have some spare usb-keyboard you could plug in after (not under) the system started? Do this work?


#12

No issues on xfce 4.15


#13

I dual boot with windows 10. For grub selection i use ps2 key board. If i use usb key board no issue, and working fine always. For ps2 only the strange thing happening. As advised i checked those 2 using usb keyboard no errors showing


#14

Would you please follow @sueridgepipe first suggestion? – check journalctl and dmesg before restarting? Now you have a working usb-keyboard it should be possible to do so.


#15

https://pastebin.com/1cF2pfwV - dmesg

https://pastebin.com/PkUETCYX - journalctl

Please look in to those and suggest solution


#16

I’m hoping someone else i finding something. The only keyboard I can find in the dmesg is your usb device. For me it’s like your ps2 keyboard isn’t even addressed. Are you sure it’s not some hardware fail?


#17

after restarting it works fine


#18

Kernel 4.14 still causing a touchpad issue. Apparently my touchpad times out. Can’t find any errors, but with a fair amount of reliability if I suspend or just leave it alone for a period of time, the touchpad ceases to work. I would love to have a solution, stuck on 4.9.


#19

How you to enable Nvidia Prime??


#20

On my main computer
A. Still present
1. Adding my printer without workaround;
2. Shaky menu in Cinnamon with Adapta theme.

B. New issue

Nothing new so far

Manjaro Cinnamon
Kernel 4.14
Did the update with Pamac

On a virtual machine, starting from a fresh installation of Manjaro 17.1.4 MATE

No more “invalid or corrupted package” error since Müller pushed a new package made by him. I could update the whole system from a fresh installation of Manjaro MATE 17.1.4 without any issue blocking the process.

No issue found after the update so far too. The update from MATE 1.18 to MATE 1.20 went well in my case.